<template>
    <div>
        <v-container fluid>
            <v-slide-y-transition mode="out-in">
                <v-layout column align-center>
                    <h1>3D Viewer</h1>

                    Loading model... Please Wait
                    <v-progress-linear :indeterminate="inderterminate" :value="progressvalue"></v-progress-linear>
                </v-layout>
            </v-slide-y-transition>
        </v-container>
        <!--<v-btn @click="progressFurther">Get this moving!</v-btn>-->
    </div>
</template>
<script>
    export default {
        data() {
            return {
                progressvalue: 0,
                inderterminate: true
            };
        },
        methods: {
            progressFurther() {
                if (this.progressvalue < 100) {
                    this.progressvalue += 10;
                } else {
                    this.progressvalue = 0;
                }
                //this.inderterminate = !this.inderterminate;
            }
        }
    };
</script>
<style>
</style>
